package com.sky.common.utils;

import com.alibaba.fastjson.JSON;
import com.sky.common.result.Result;
import lombok.extern.slf4j.Slf4j;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Slf4j
public class InterceptorUtil {
    /**
     * 用户未登录返回响应
     *
     * @param response 返回体
     */
    public static void unLoginInterceptor(HttpServletResponse response) throws IOException {
        log.info("用户未登录");
        response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
        response.setContentType("application/json");
        response.setCharacterEncoding("UTF-8");
        Result<String> result = new Result<>();
        result.setCode(HttpServletResponse.SC_UNAUTHORIZED);
        result.setData("未登录");
        result.setMessage("请先登录");
        // 将消息写入响应体
        response.getWriter().write(JSON.toJSONString(result));
    }

    public static void otherLoginInterceptor(HttpServletResponse response) throws IOException {
        log.info("其它异常");
        response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
        response.setContentType("application/json");
        response.setCharacterEncoding("UTF-8");
        Result<String> result = new Result<>();
        result.setCode(HttpServletResponse.SC_UNAUTHORIZED);
        result.setData("未登录");
        result.setMessage("请先登录");
        // 将消息写入响应体
        response.getWriter().write(JSON.toJSONString(result));
    }
}
